# Generated from secryst-trainer-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name secryst-trainer

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A seq2seq transformer suited for transliteration. Written in Ruby. Includes packages for training models
License: BSD-2-Clause
URL: https://github.com/secryst/secryst
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
A seq2seq transformer suited for transliteration. Written in Ruby. Includes
packages for training models.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.adoc

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
